// Autor: Brian and Jack R, June 16,2016
//
// Read value of 2 buttons and one Pot Joystick 
// Transmit state via serial
// 
#include "Nrf2401.h"

// Pins: Do these hookups
int potentiometer=A4;
/*
 *  digital pins 2,3,4,5,6 are taken by connection the nrf24
 *  see connection information http://playground.arduino.cc/InterfacingWithHardware/Nrf2401
 */
int cruise_pin = 7; // assume active hi for now...check this obviously
int ebrake_pin = 8; // 

// radio settigns: Please change These help keep your radio comms unique!!!!
int channel = 12; // 0 to 255
int remoteAddress = 12345; //0 to 65536

// Throttle variables
int potval; // analog value  0  to 1023
int throttle; // position of physical throttle from 0 to 180
int cruise = 0; 
int ebrake = 0;
Nrf2401 Radio; // create an instance of the radio

void setup() {
  pinMode(potentiometer, INPUT);
  pinMode(cruise_pin,INPUT);
  pinMode(ebrake_pin,INPUT);
  throttle=0;
  Radio.remoteAddress = remoteAddress; 
  Radio.channel = channel; 
  Radio.txMode(3); // 3 bytes: 1) throttle and 2) cruise button  3) ebrake  
}

void loop() {
  // read value from stick 
  potval = analogRead(potentiometer); // 0 to 1023
  // not sure if the Wiimote button is active hi or low...assume active hi for now
  // this means the signal goes hi when it's pushed rather than pulled to GND.
  cruise = digitalRead(cruise_pin);  // check active hi
  ebrake = digitalRead(ebrake_pin);  // ditto
  Radio.data[0] = potval;
  Radio.data[1] = cruise;
  Radio.data[2] = ebrake;
  Radio.write();
  // prevent buffer overflow receiver must read faster incl both delay and processing
  delay(35);  // Just a guess here...20 to 30 HZ seems adequate for now.
}




